Subject: Re: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Feb 2025 17:37:20 -0500

>> Maybe a hook is not such a bad idea after all.
> But then how would platforms where these events come from the
> window-system call that hook?

I don't understand the question: why would those not be ale to run the
hook?  If it's because it's in a separate UI thread, they can push to
`pending_funcalls`, or in the worst case they can add an event into the
event queue and then use `special-event-map` to run an ad-hoc function
which runs the hook.

Of course, we could similarly make the D-bus code manually do
(lookup-key special-event-map [sleep-event])

        Stefan